gdcm::ValueIO< TDE, TSwap, TType > Class Template Reference

Class to dispatch template calls. More...

`#include <gdcmValueIO.h>`

## Static Public Member Functions

static std::istream & | Read (std::istream &is, Value &v, bool readvalues)
static const std::ostream & | Write (std::ostream &os, const Value &v)

## Detailed Description

template<typename TDE, typename TSwap, typename TType = uint8_t>
class gdcm::ValueIO< TDE, TSwap, TType >

Class to dispatch template calls.

## Member Function Documentation

## Read()

template<typename TDE, typename TSwap, typename TType = uint8_t>

std::istream & gdcm::ValueIO< TDE, TSwap, TType >::Read | ( | std::istream & | is,
|  | Value & | v,
|  | bool | readvalues )

static

## Write()

template<typename TDE, typename TSwap, typename TType = uint8_t>

const std::ostream & gdcm::ValueIO< TDE, TSwap, TType >::Write | ( | std::ostream & | os,
|  | const Value & | v )

static

The documentation for this class was generated from the following file:

- gdcmValueIO.h